Skip to main content
GET
/
organizations
/
{organization_id}
/
search
Search tickets
curl --request GET \
  --url https://api.example.com/organizations/{organization_id}/search/ \
  --header 'X-Initdesk-Token: <api-key>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "public_id": 123,
      "customer": {
        "id": 123,
        "name": "<string>",
        "email": "jsmith@example.com",
        "is_spam": true
      },
      "inbox": {
        "id": 123,
        "name": "<string>",
        "email_prefix": "<string>"
      },
      "assignee": {
        "id": 123,
        "name": "<string>",
        "email": "jsmith@example.com"
      },
      "subject": "<string>",
      "summary": "<string>",
      "short_description": "<string>",
      "customer_visible_reply_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "resolved_at": "2023-11-07T05:31:56Z",
      "language": "<string>",
      "origin": "<string>",
      "is_spam": true,
      "tags": [
        "<string>"
      ],
      "has_attachments": true
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://developers.initdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

organization_id
string
required

Query Parameters

email
string

Filter by customer email (case-insensitive exact match).

is_spam
boolean

When omitted defaults to false. Pass true to include only spam tickets. Accepted values: true, false (case-insensitive).

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

preset_filter
enum<string>

Apply a predefined filter. Allowed values: needs_attention, focused

Available options:
focused,
needs_attention
query
string

Full-text search query. Alias for search.

waiting_on
enum<string>

Filter by waiting_on status.

Available options:
,
associate,
customer

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"